# gui

`gui` is the directory for GUI tools for Linux, macOS and Windows versions.

[Qt](https://github.com/qt/qtbase) is used as an application framework.
Qt 5.12 or later Qt5 versions are recommended.
We have not tested Qt6 yet.

## .qtts files

`.qtts` files are translation resources.
`.ts` is the original extension for those files,
but `.qtts` is used to distinguish from TypeScript files.

## .qm files

`.qm` files are generated from `.qtts` files.
They are not automatically generated by Mozc's build system.

When you modify `.qtts` files, you need to manually update `.qm` files too.

```sh
lrelease tr_ja.qtts -qm tr_ja.qm
```

You may need to install
[Qt linguist](https://doc.qt.io/qt-5/linguist-manager.html)
to use the `lrelease` command.
This is the reason we store `.qm` files but not automatically generate them.
